Results 1 to 6 of 6

Thread: Graphic package manager not starting

  1. #1

    Default Graphic package manager not starting

    Hello All,

    I've recently updated to Leap 42.2, and I'm having a peculiar issue with the graphic package manager crashing without giving any error information.
    This is the current situation:

    I can update/install new packages via zypper
    I can update/install new packages using the console version of Yast
    If I launch the KDE version of Yast and then select the package manager, it crashes after a few seconds of activity with no error message

    Any idea what the problem could be? Is there a way to get some more useful feedback from the crash?

    Many thanks in advance

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,651

    Default Re: Graphic package manager not starting

    Often is mixed repos show us

    zypper lr -d

  3. #3

    Default Re: Graphic package manager not starting

    This is the list of my repos:

    http://download.opensuse.org/repositories/server:/database/openSUSE_Leap_42.2/ http://download.opensuse.org/repositories/devel:/libraries:/c_c++/openSUSE_Leap_42.2/
    http://download.opensuse.org/repositories/games/openSUSE_Leap_42.2/
    http://download.opensuse.org/repositories/mozilla/openSUSE_Leap_42.2/
    http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_42.2/
    http://download.opensuse.org/repositories/science/openSUSE_Leap_42.2/
    http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.2/
    http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE_Leap_42.2/
    http://download.nvidia.com/opensuse/leap/42.2
    http://download.opensuse.org/distribution/leap/42.2/repo/non-oss/
    http://download.opensuse.org/update/leap/42.2/non-oss/
    http://download.opensuse.org/distribution/leap/42.2/repo/oss/
    http://download.opensuse.org/update/leap/42.2/oss
    http://opensuse-guide.org/repo/openSUSE_Leap_42.2/
    http://dl.google.com/linux/chrome/rpm/stable/x86_64
    http://dl.google.com/linux/earth/rpm/stable/x86_64
    http://download.opensuse.org/repositories/devel:/languages:/R:/patched/openSUSE_Leap_42.2/

    They are all activated, as far as I can see they should all be 42.2

  4. #4

    Default Re: Graphic package manager not starting

    I'm on Tumbleweed, but had the same problem: Yast GUI would open, but none of the modules would load. Everything worked fine in the terminal.

    I found a recommendation to update the following packages from version 7 to version 8 and it fixed the problem. I don't know if this would apply to Leap:

    Code:
    sudo zypper in libyui-qt8 libyui-qt-graph8 libyui-qt-pkg8

  5. #5

    Default Re: Graphic package manager not starting

    I just checked and installing version 8 of those packages left the 7 versions in place, so I've got both now. I don't know if that matters, but I just wanted to be clear.

  6. #6

    Default Re: Graphic package manager not starting

    Hello,

    thanks for your help. I confirm that worked for me too

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •